haskell-gi-0.26.17: Generate Haskell bindings for GObject Introspection capable libraries

Safe Haskell | None
Language | Haskell2010

Data.GI.CodeGen.OverloadedMethods

Synopsis

- genMethodList :: Name -> [(Name, Method)] -> CodeGen e ()
- genMethodInfo :: Name -> Method -> ExcCodeGen ()
- genUnsupportedMethodInfo :: Name -> Method -> CodeGen e ()

# Documentation

genMethodList :: Name -> [(Name, Method)] -> CodeGen e () Source #

Generate the `MethodList` instance given the list of methods for the given named type. Returns a Haddock comment summarizing the list of methods available.

genMethodInfo :: Name -> Method -> ExcCodeGen () Source #

Generate the `MethodInfo` type and instance for the given method.

genUnsupportedMethodInfo :: Name -> Method -> CodeGen e () Source #

Generate a method info that is not actually callable, but rather gives a type error when trying to use it.